Bug 999827 - [abrt] htop-1.0.2-2.fc19: _nc_mutex_lock: Process /usr/bin/htop was killed by signal 11 (SIGSEGV)
[abrt] htop-1.0.2-2.fc19: _nc_mutex_lock: Process /usr/bin/htop was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
abrt_hash:261ad62fdf2f95e8da88f3d4862...
:
Depends On: 1039258
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 04:39 EDT by George R. Goffe
Modified: 2014-01-21 08:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 16:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.04 KB, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: cgroup (137 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: core_backtrace (1.95 KB, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: dso_list (487 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: environ (4.31 KB, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: maps (3.34 KB, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: open_fds (105 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: proc_pid_status (892 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details
File: var_log_messages (323 bytes, text/plain)
2013-08-22 04:39 EDT, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2013-08-22 04:39:25 EDT
Description of problem:
I just entered htop and the segfault appeared.

Version-Release number of selected component:
htop-1.0.2-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        htop
crash_function: _nc_mutex_lock
executable:     /usr/bin/htop
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 3
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 _nc_mutex_lock at /usr/lsd/Linux/lib/libtinfow.so.5
 #1 _nc_use_tracef at /usr/lsd/Linux/lib/libtinfow.so.5
 #2 initscr at /usr/lsd/Linux/lib64/libncursesw.so.5
 #3 CRT_init at CRT.c:157
Comment 1 George R. Goffe 2013-08-22 04:39:28 EDT
Created attachment 789086 [details]
File: backtrace
Comment 2 George R. Goffe 2013-08-22 04:39:31 EDT
Created attachment 789087 [details]
File: cgroup
Comment 3 George R. Goffe 2013-08-22 04:39:34 EDT
Created attachment 789088 [details]
File: core_backtrace
Comment 4 George R. Goffe 2013-08-22 04:39:36 EDT
Created attachment 789089 [details]
File: dso_list
Comment 5 George R. Goffe 2013-08-22 04:39:40 EDT
Created attachment 789090 [details]
File: environ
Comment 6 George R. Goffe 2013-08-22 04:39:43 EDT
Created attachment 789091 [details]
File: exploitable
Comment 7 George R. Goffe 2013-08-22 04:39:45 EDT
Created attachment 789092 [details]
File: limits
Comment 8 George R. Goffe 2013-08-22 04:39:48 EDT
Created attachment 789093 [details]
File: maps
Comment 9 George R. Goffe 2013-08-22 04:39:51 EDT
Created attachment 789094 [details]
File: open_fds
Comment 10 George R. Goffe 2013-08-22 04:39:54 EDT
Created attachment 789095 [details]
File: proc_pid_status
Comment 11 George R. Goffe 2013-08-22 04:39:57 EDT
Created attachment 789096 [details]
File: var_log_messages
Comment 12 Dawid Gajownik 2014-01-17 16:31:20 EST
Hi George,

thank for the bug report. I looked at the attached logs and I see that you preloaded ncurses libraries from LSD Linux:

LD_LIBRARY_PATH=/usr/lsd/Linux/lib/ooRexx:/usr/lsd/Linux/lib64:/usr/lsd/Linux/lib:/usr/lsd/Linux/PDCurses/lib.

That's a reason why htop failed. As these libraries are not compatible (they are built with different options) I'm closing this bug as WONTFIX.

Thanks,
 Dawid
Comment 13 George R. Goffe 2014-01-21 02:52:34 EST
Dawid,

I was expecting this. I DO appreciate your time with this bug report.

Do you have any idea what the options might be that are causing problems?

Regards,

George...
Comment 14 Dawid Gajownik 2014-01-21 08:14:51 EST
It's hard to tell exactly but I should suggest comparing below outputs from both libraries

nm -D -n /usr/lib64/libncurses.so.5 | grep "T "
nm -D -n /usr/lsd/Linux/lib64/libncursesw.so.5.9.0 | grep "T "

Additionally in the maps file I saw that you also use 32-bit library? Is that correct?

7facb153e000-7facb1570000 r-xp 00000000 fd:01 1087202                    /usr/lsd/Linux/lib/libtinfow.so.5.9.0
7facb1570000-7facb176f000 ---p 00032000 fd:01 1087202                    /usr/lsd/Linux/lib/libtinfow.so.5.9.0
7facb176f000-7facb1770000 r--p 00031000 fd:01 1087202                    /usr/lsd/Linux/lib/libtinfow.so.5.9.0
7facb1770000-7facb1772000 rw-p 00032000 fd:01 1087202                    /usr/lsd/Linux/lib/libtinfow.so.5.9.0

I suggest checking ldd /usr/bin/htop output with set/unset LD_LIBRARY_PATH variable.

HTH,
Dawid

Note You need to log in before you can comment on or make changes to this bug.